<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="f86e8f941b7650e0" weblate-flags="read-only, safe-html, strict-same">
        <source>= Non-Throwing Conversions For the case where throwing exceptions is undesirable, Boost.JSON also provides a non-throwing version of &lt;&lt;ref_value_to&gt;&gt;, the function template &lt;&lt;ref_try_value_to&gt;&gt;.  It returns {ref_result}, a specialised variant that either holds a value or an {ref_error_code}.</source>
        <target state="translated">= Non-Throwing Conversions For the case where throwing exceptions is undesirable, Boost.JSON also provides a non-throwing version of &lt;&lt;ref_value_to&gt;&gt;, the function template &lt;&lt;ref_try_value_to&gt;&gt;.  It returns {ref_result}, a specialised variant that either holds a value or an {ref_error_code}.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef71baad973da898" weblate-flags="read-only, safe-html, strict-same">
        <source>There's no non-throwing equivalent for &lt;&lt;ref_value_from&gt;&gt;. This is simply because we haven't yet encountered a situation where &lt;&lt;ref_value_from&gt;&gt; needed to communicate an error to the caller.</source>
        <target state="translated">There's no non-throwing equivalent for &lt;&lt;ref_value_from&gt;&gt;. This is simply because we haven't yet encountered a situation where &lt;&lt;ref_value_from&gt;&gt; needed to communicate an error to the caller.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="44f89ef4767a10a7" weblate-flags="read-only, safe-html, strict-same">
        <source>The library provides non-throwing conversions for all the categories of types it supports with &lt;&lt;ref_value_to&gt;&gt;. If a user wants to use it with custom types, an overload of `tag_invoke` of this form needs to be provided:</source>
        <target state="translated">The library provides non-throwing conversions for all the categories of types it supports with &lt;&lt;ref_value_to&gt;&gt;. If a user wants to use it with custom types, an overload of `tag_invoke` of this form needs to be provided:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="987a5ad46e3b5f4b" weblate-flags="read-only, safe-html, strict-same">
        <source>``` result_for&lt;T, value&gt;::type tag_invoke( const try_value_to_tag&lt; T &gt;&amp;, const value&amp; ); ```</source>
        <target state="translated">``` result_for&lt;T, value&gt;::type tag_invoke( const try_value_to_tag&lt; T &gt;&amp;, const value&amp; ); ```</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9f2096e2f0e636b5" weblate-flags="read-only, safe-html, strict-same">
        <source>For the class `ip_address` from the section &lt;&lt;custom_conversions&gt;&gt; this overload may look like this:</source>
        <target state="translated">For the class `ip_address` from the section &lt;&lt;custom_conversions&gt;&gt; this overload may look like this:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">30</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="bb814b0bb73ccbf7" weblate-flags="read-only, safe-html, strict-same">
        <source>The overload lets us use `ip_address` with &lt;&lt;ref_try_value_to&gt;&gt;.</source>
        <target state="translated">The overload lets us use `ip_address` with &lt;&lt;ref_try_value_to&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e12c6f4785802e51" weblate-flags="read-only, safe-html, strict-same">
        <source>If &lt;&lt;ref_try_value_to&gt;&gt; is used with a type, for which there's no `tag_invoke` overload of the form described in this section, but there is one of the form intended for &lt;&lt;ref_value_to&gt;&gt;, then the library still tries to perform the conversion. It uses the throwing overload, and attempts to convert any thrown exception into an {ref_error_code}. Note, though, that such approach will likely be slower then a dedicated overload.</source>
        <target state="translated">If &lt;&lt;ref_try_value_to&gt;&gt; is used with a type, for which there's no `tag_invoke` overload of the form described in this section, but there is one of the form intended for &lt;&lt;ref_value_to&gt;&gt;, then the library still tries to perform the conversion. It uses the throwing overload, and attempts to convert any thrown exception into an {ref_error_code}. Note, though, that such approach will likely be slower then a dedicated overload.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">45</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3fa9f4eba8b2651b" weblate-flags="read-only, safe-html, strict-same">
        <source>The opposite is also true: if there's a `tag_invoke` overload intended for &lt;&lt;ref_try_value_to&gt;&gt;, but not for &lt;&lt;ref_value_to&gt;&gt;, then calling &lt;&lt;ref_value_to&gt;&gt; will invoke the non-throwing overload, then construct a {ref_system_error} from the {ref_error_code} and throw it. Due to these fallbacks, it is recommended that users provide the overload from this section, rather then the other one, if they ever intend to use &lt;&lt;ref_try_value_to&gt;&gt;.</source>
        <target state="translated">The opposite is also true: if there's a `tag_invoke` overload intended for &lt;&lt;ref_try_value_to&gt;&gt;, but not for &lt;&lt;ref_value_to&gt;&gt;, then calling &lt;&lt;ref_value_to&gt;&gt; will invoke the non-throwing overload, then construct a {ref_system_error} from the {ref_error_code} and throw it. Due to these fallbacks, it is recommended that users provide the overload from this section, rather then the other one, if they ever intend to use &lt;&lt;ref_try_value_to&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
